import { Ref } from 'vue';
export declare const useGanttSelect: ({ vGanttRef, visibleRowIds, rowHeight, rowSelection, rowClass, emitGanttMouseDown, emitSelectChange }: {
    vGanttRef: Ref<HTMLDivElement | undefined>;
    visibleRowIds: Ref<string[], string[]>;
    rowHeight: Ref<number>;
    rowSelection: Ref<"single" | "multiple" | "none">;
    rowClass: string;
    emitGanttMouseDown: (event: MouseEvent, rowId: string | null) => void;
    emitSelectChange: (ids: string[]) => void;
}) => {
    handleSetSelect: (id: string) => void;
    selectRows: (ids: string[]) => void;
    getTargetElementInfo: (initialTarget: HTMLElement | null, targetClass: string, attribute?: string) => {
        target: HTMLElement | null;
        attributeValue: string | null;
        rowIndex: number;
    };
};
