/**
 *
 * @param obj Object on which to add or modify the property.
 * @param prop The property name
 * @param value The value of `obj[prop]` or a getter
 * @returns A restore function which can reset `obj[prop]`'s value or getter
 */
declare const defineGetter: (obj: Record<string, any>, prop: string, value: any, defaultValue?: any) => () => void;
export default defineGetter;
