import { Ref } from 'vue';
export declare const useTableScroll: ({ tableBodyView, tableBodyVerticalScrollViewport, emitTriggerGanttViewScroll }: {
    tableBodyView: Ref<HTMLDivElement | null>;
    tableBodyVerticalScrollViewport: Ref<HTMLDivElement | null>;
    emitTriggerGanttViewScroll: (options: ScrollToOptions) => void;
}) => {
    scrollTo: (options: ScrollToOptions, onWheel?: boolean) => void;
    bodyWheel: (e: WheelEvent) => void;
    verticalScrollViewportScroll: () => void;
};
