export declare const getRound: (floatNum: number, num?: number) => number;
/**
 * Traversing the tree, function will stop traversing once it returns false
 * @param {Array} tree
 * @param {Function} fn
 * @param {String} childrenKey
 * @param parent
 *
 */
export declare function treeForEachSkipChildren<T>(tree: T[], fn: (node: T, parent?: T | undefined) => boolean | void | 'skipChildren', childrenKey?: string, parent?: T): false | undefined;
/**
 * Traversing the tree, function will stop traversing once it returns false
 * @param {Array} tree
 * @param {Function} fn
 * @param {String} childrenKey
 * @param parent
 *
 */
export declare function treeForEach<T>(tree: T[], fn: (node: T, parent?: T | undefined) => boolean | void, childrenKey?: string, parent?: T): false | undefined;
export declare const sleep: (s?: number) => Promise<unknown>;
export declare const toMap: <K = string, V = any>(items: Array<V> | Set<V>, idKey?: string) => Map<K, V>;
export declare const arrangementArr: <T>(source: T[], target: T[], idKey?: string) => T[];
