import { default as dayjs } from 'dayjs';
import { GanttRowNode, GanttStyleOption } from '../../../../types';
export interface Props {
    rowHeight: number;
    ganttMinDate: dayjs.Dayjs;
    ganttMaxDate: dayjs.Dayjs | null;
    perHourSpacing: number;
    rowBuffer: number;
    visibleRowIds: string[];
    rowNodeMap: Map<string, GanttRowNode>;
    ganttViewWidth: number;
    edgeSpacing: number;
    styleOption?: GanttStyleOption;
    timePointComp?: any;
    timeLineRender?: any;
    timeLineRenderParams?: Record<string, any>;
}
declare const _default: import('vue').DefineComponent<Props, {
    onScroll: ({ scrollTop, scrollLeft }: {
        scrollTop: number;
        scrollLeft: number;
    }) => void;
    onResize: () => void;
    freshTimeLines: (rowNodes: GanttRowNode[]) => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    updateMinDate: (date: dayjs.Dayjs) => any;
    updateMaxDate: (date: dayjs.Dayjs) => any;
}, string, import('vue').PublicProps, Readonly<Props> & Readonly<{
    onUpdateMinDate?: ((date: dayjs.Dayjs) => any) | undefined;
    onUpdateMaxDate?: ((date: dayjs.Dayjs) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, HTMLDivElement>;
export default _default;
