import { default as dayjs } from 'dayjs';
import { GanttHeaderUnit } from '../../../types';
export interface Props {
    headerHeight: number;
    edgeSpacing: number;
    perHourSpacing: number;
    ganttMinDate: dayjs.Dayjs;
    ganttViewWidth: number;
    locale?: string;
    headerTextRender?: (date: dayjs.Dayjs, unit: GanttHeaderUnit) => string | number;
    headerTipRender?: (date: dayjs.Dayjs, unit: GanttHeaderUnit) => string;
}
declare const _default: import('vue').DefineComponent<Props, {
    onScroll: ({ scrollLeft }: {
        scrollLeft: number;
    }) => void;
    updateGanttHeaderWidth: (show: boolean, scrollbarWidth: number) => void;
    onResize: () => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<Props> & Readonly<{}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    ganttHeaderRef: HTMLDivElement;
}, HTMLDivElement>;
export default _default;
