import { Ref } from 'vue';
import { RowData, GanttRowNode } from '../../types';
import { IRowNode, GridApi } from 'ag-grid-community';
export declare const useTableRow: ({ props, setTableRowSelected, rowClass, tableRef, tableBodyView, tableBodyVerticalScrollViewport }: {
    props: any;
    setTableRowSelected: () => void;
    rowClass: string;
    tableRef: Ref<GridApi<RowData> | undefined>;
    tableBodyView: Ref<HTMLDivElement | null>;
    tableBodyVerticalScrollViewport: Ref<HTMLDivElement | null>;
}) => {
    rowData: import('vue').ShallowRef<RowData[], RowData[]>;
    getTableRowId: (params: IRowNode<RowData>) => any;
    getRowNode: (row?: RowData) => GanttRowNode<RowData> | undefined;
    handleEmptyRowChanged: (target?: HTMLDivElement) => boolean;
    visibleRowDataList: Ref<any, any>;
};
