import { Ref, ShallowRef } from 'vue';
import { GanttRowNode } from '../types';
import { default as TableView } from '../components/tableView/TableView.vue';
export declare const useGanttExpand: ({ tableViewRef, rowNodeMap, visibleRowIds, rowNodeIds, refreshCells, emitExpandChange }: {
    tableViewRef: Ref<InstanceType<typeof TableView> | undefined>;
    rowNodeMap: ShallowRef<Map<string, GanttRowNode>, Map<string, GanttRowNode>>;
    visibleRowIds: Ref<string[], string[]>;
    rowNodeIds: Ref<string[], string[]>;
    refreshCells: (ids: string[], force?: boolean) => void;
    emitExpandChange: (ids: string[]) => void;
}) => {
    handleSetExpand: (id: string, expand: boolean) => void;
    expandAll: () => void;
};
